subroutine compute_a_ii_z(n, a, irow, a_ii)
complex a(n,n), a_ii

!jcol =irow
i1 = irow-1
sum =(0.,0.)

	do k =1, i1
	sum =sum +dcmplx(a(irow, k))*dcmplx(a(k, irow))
	enddo

a_ii =a(irow, irow) -sum		! Cf.: L(i,i) =1.


END
